Last Comment Bug 620301 - [ANGLE] WebGLES shader assertion failed: ((ch == '.') || (ch == 'e') || (ch == 'E')), function lFloatConst
: [ANGLE] WebGLES shader assertion failed: ((ch == '.') || (ch == 'e') || (ch =...
Status: RESOLVED FIXED
: crash, testcase
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://code.google.com/p/angleproject...
Depends on:
Blocks: 658170
  Show dependency treegraph
 
Reported: 2010-12-19 15:51 PST by Christoph Diehl [:posidron]
Modified: 2011-12-05 13:42 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (1.25 KB, text/html)
2010-12-19 15:51 PST, Christoph Diehl [:posidron]
no flags Details
callstack (7.52 KB, text/plain)
2010-12-19 15:52 PST, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-12-19 15:51:46 PST
Created attachment 498653 [details]
testcase

0highp bvec4 bbc;
mediump float aaa;
vec3 cab;
void main() { for((x--); ++z; x++? >>= :aba >>= aaa == cab = 0.8){while (){}} }
Comment 1 Christoph Diehl [:posidron] 2010-12-19 15:52:29 PST
Created attachment 498654 [details]
callstack
Comment 2 Christoph Diehl [:posidron] 2011-02-04 05:53:33 PST
reproducible after ANGLE update

Build-Identifikator: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b10) Gecko/20100101 Firefox/4.0b10
Comment 3 Kenneth Russell 2011-02-04 12:12:03 PST
Has this bug been filed in the ANGLE issue tracker? Could you please file it there if not?
Comment 4 Vladimir Vukicevic [:vlad] [:vladv] 2011-02-04 12:23:31 PST
Not yet -- filing shortly, but just cc'ing here for visibility or in case Christoph/others add comments.

Christoph, could you file these issues into the angle but tracker at http://code.google.com/p/angleproject/issues/ in addition to bugzilla?  They'll be seen faster that way.
Comment 5 Christoph Diehl [:posidron] 2011-02-04 13:49:21 PST
Ok
Comment 6 Benoit Jacob [:bjacob] (mostly away) 2011-12-05 13:38:20 PST
Doesn't crash me on linux x86-64 debug build.
Comment 7 Benoit Jacob [:bjacob] (mostly away) 2011-12-05 13:42:06 PST
Angle bug is marked as fixed, even.

Note You need to log in before you can comment on or make changes to this bug.